View Issue Details

This bug affects 1 person(s).
 4
IDProjectCategoryView StatusLast Update
17666Bug reportsSurvey editingpublic2021-11-02 09:06
Reporterrenato.alves Assigned ToDenisChenu  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version5.x 
Summary17666: Previewing a survey leads to DB error messages from log system
DescriptionCreating a new survey and previewing it leads to the following errors being emailed every time a preview is requested:

<code>
2021/10/18 18:33:38 [error] [system.db.CDbCommand]
CDbCommand::fetchAll() failed: SQLSTATE[42S02]: Base table or view not
found: 1146 Table 'limesurvey.survey_779892' doesn't exist. The SQL
statement executed was: SHOW FULL COLUMNS FROM `survey_779892`.
</code>

when limesurvey is configured with:

<code>
  'log' => array(
    'class' => 'CLogRouter',
    'routes' => array(
      array(
        'class' => 'CFileLogRoute',
        'levels' => 'error, warning, info',
        'except' => 'exception.CHttpException.404',
      ),
      array(
        'class' => 'CEmailLogRoute',
        'levels' => 'error',
        'except' => 'exception.CHttpException.404',
        'emails' => 'redacted@redacted.com',
      ),
    ),
  ),
</code>
Steps To ReproduceSteps to reproduce
------------------------------
1. Configure the server to log errors
2. Create a new survey
3. Preview the survey
4. An error should have been emailed and should be visible in the logs.

Expected result
-------------------------
No email should be sent.

Actual result
-----------------
An email is sent every time a preview is made.
TagsNo tags attached.
Bug heat4
Complete LimeSurvey version number (& build)5.1.15+211011
I will donate to the project if issue is resolvedNo
Browser
Database type & versionmysql Ver 15.1 Distrib 5.5.68-MariaDB, for Linux (x86_64) using readline 5.1
Server OS (if known)CentOS 7
Webserver software & version (if known)2.4.6 - 97.el7.centos
PHP VersionPHP 7.4.24

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

DenisChenu

DenisChenu

2021-10-18 19:11

developer   ~66869

Same for 3.X

Seems usage of https://github.com/LimeSurvey/LimeSurvey/blob/c851020866620d36c935cfb47afd25893765680d/application/helpers/common_helper.php#L2528
are not done somewhere.
DenisChenu

DenisChenu

2021-10-19 09:57

developer   ~66871

Last edited: 2021-10-26 16:44

@galads : i take a look , if possible fix it this afternoon on 3 and 5.
galads

galads

2021-10-19 13:18

administrator   ~66873

Last edited: 2021-10-26 16:44

View 2 revisions

Hello, @DenisChenu thank you for checking. I will assign it to you.
DenisChenu

DenisChenu

2021-10-26 16:44

developer   ~66936

Last edited: 2021-10-26 16:44

3.X version : https://github.com/LimeSurvey/LimeSurvey/pull/2117
5.X version : https://github.com/LimeSurvey/LimeSurvey/pull/2118
DenisChenu

DenisChenu

2021-10-26 17:05

developer   ~66940

Fix committed to 3.x-LTS branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=32820
DenisChenu

DenisChenu

2021-10-26 17:07

developer   ~66942

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=32821

Related Changesets

LimeSurvey: 3.x-LTS 616b8f28

2021-10-26 17:05:48

DenisChenu


Committer: GitHub Details Diff
Fixed issue 17666: Previewing a survey leads to DB error messages from log system (#2117)

Dev: setSeed function always search activated survey
Dev: add some comments
Affected Issues
17666
mod - application/libraries/MersenneTwister.php Diff File

LimeSurvey: master aeee7f37

2021-10-26 17:07:08

DenisChenu


Committer: GitHub Details Diff
Fixed issue 17666: Previewing a survey leads to DB error messages from log system (#2118)

Dev: setSeed function always check for activated survey
Affected Issues
17666
mod - application/libraries/MersenneTwister.php Diff File

Issue History

Date Modified Username Field Change
2021-10-18 18:54 renato.alves New Issue
2021-10-18 19:11 DenisChenu Note Added: 66869
2021-10-18 19:11 DenisChenu Bug heat 0 => 2
2021-10-19 09:49 galads Assigned To => galads
2021-10-19 09:49 galads Status new => acknowledged
2021-10-19 09:57 DenisChenu Note Added: 66871
2021-10-19 09:57 DenisChenu Assigned To galads => DenisChenu
2021-10-19 13:18 galads Note Added: 66873
2021-10-19 13:18 galads Bug heat 2 => 4
2021-10-19 13:19 galads Note Edited: 66873 View Revisions
2021-10-22 11:40 galads Status acknowledged => confirmed
2021-10-26 16:44 DenisChenu Assigned To DenisChenu => galads
2021-10-26 16:44 DenisChenu Status confirmed => testing
2021-10-26 16:44 DenisChenu Note Added: 66936
2021-10-26 17:05 DenisChenu Changeset attached => LimeSurvey 3.x-LTS 616b8f28
2021-10-26 17:05 DenisChenu Note Added: 66940
2021-10-26 17:05 DenisChenu Assigned To galads => DenisChenu
2021-10-26 17:05 DenisChenu Resolution open => fixed
2021-10-26 17:07 DenisChenu Changeset attached => LimeSurvey master aeee7f37
2021-10-26 17:07 DenisChenu Note Added: 66942
2021-10-26 17:12 c_schmitz Status testing => resolved
2021-11-02 09:06 c_schmitz Status resolved => closed